AWS IoT Device SDK C++ v2: Aws::Iotshadow::ShadowUpdatedSnapshot Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotshadow::ShadowUpdatedSnapshot Class Referencefinal

`#include <ShadowUpdatedSnapshot.h>`

## Public Member Functions
| ShadowUpdatedSnapshot ()=default
| ShadowUpdatedSnapshot (const Crt::JsonView &doc)
ShadowUpdatedSnapshot & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< Aws::Iotshadow::ShadowState > | State
Aws::Crt::Optional< Aws::Iotshadow::ShadowMetadata > | Metadata
Aws::Crt::Optional< int32_t > | Version

## Detailed Description

Complete state of the (classic) shadow of an AWS IoT Thing.

## Constructor & Destructor Documentation

## ◆ ShadowUpdatedSnapshot() [1/2]

Aws::Iotshadow::ShadowUpdatedSnapshot::ShadowUpdatedSnapshot | ( |  | ) |
| default

## ◆ ShadowUpdatedSnapshot() [2/2]

Aws::Iotshadow::ShadowUpdatedSnapshot::ShadowUpdatedSnapshot | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

ShadowUpdatedSnapshot & Aws::Iotshadow::ShadowUpdatedSnapshot::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotshadow::ShadowUpdatedSnapshot::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ Metadata

Aws::Crt::Optional<Aws::Iotshadow::ShadowMetadata> Aws::Iotshadow::ShadowUpdatedSnapshot::Metadata

Contains the timestamps for each attribute in the desired and reported sections of the state.

## ◆ State

Aws::Crt::Optional<Aws::Iotshadow::ShadowState> Aws::Iotshadow::ShadowUpdatedSnapshot::State

Current shadow state.

## ◆ Version

Aws::Crt::Optional<int32_t> Aws::Iotshadow::ShadowUpdatedSnapshot::Version

The current version of the document for the device's shadow.

The documentation for this class was generated from the following files:

- shadow/include/aws/iotshadow/ShadowUpdatedSnapshot.h
- shadow/source/ShadowUpdatedSnapshot.cpp